#! /bin/sh

if [ -d ifXml ]; then
  ifXmlFiles=`(cd ifXml; ls *.xml)`

  for ifXml in $ifXmlFiles; do
    domain=`grep "<Domain" ifXml/$ifXml | sed s/.*label=// | cut -f1 -d" " | cut -f2 -d'"'`
    label=`echo $domain | sed "s/\([a-z]\)\([A-Z]\)/\1_\2/g" | tr A-Z a-z`
    echo packet-oyster3g-${label}.c: ifXml/${ifXml} ../oyster3g/xmlToWireSharkDissector.pl
    echo -en "\t"
    echo "\$(PERL) -I../oyster3g ../oyster3g/xmlToWireSharkDissector.pl ifXml/${ifXml}"
    echo ""
  done
fi

if [ -d devXml ]; then
  devXmlFiles=`(cd devXml; ls *.xml )`

  for devXml in $devXmlFiles; do
    if [ "$devXml" == "DevCommonSyntaxDefs.xml" -o "$devXml" == "DeviceSyntaxDefinitions.xml" ]; then
    	continue
    fi
    app=`grep "<Application" devXml/$devXml | sed s/.*label=// | cut -f1 -d" " | cut -f2 -d'"'`
    label=`echo $app | sed "s/\([a-z]\)\([A-Z]\)/\1_\2/g" | tr A-Z a-z`
    echo packet-oyster3g-${label}.c: devXml/${devXml} ../oyster3g/devIfxmlToWireSharkDissector.pl
    echo -en "\t"
    echo "\$(PERL) -I../oyster3g ../oyster3g/devIfxmlToWireSharkDissector.pl devXml/${devXml}"
    echo ""
  done
fi 
