
/* oyster3g-system-mib.h
 * Definitions for Oyster3G System MIB dissection
 * Copyright 2007, ip.access Ltd <Neil.Piercy@ipaccess.com>
 *
 * $Id: plugins/oyster3g/oyster3g-system-mib.h 1.3.1.3 2008/11/25 11:21:42GMT Neil P Piercy (npp) Exp  $
 *
 * Wireshark - Network traffic analyzer
 * By Gerald Combs <gerald@unicom.net>
 * Copyright 1998 Gerald Combs
 */

#ifndef OYSTER3G_SYSTEM_MIB_H

static const value_string class_type_vals[] = {
    { 1001, "AAL2_ADJACENT_NODE" },
    { 1002, "AAL2_PATH" },
    { 1003, "AAL2_REMOTE_ENDPOINT" },
    { 1004, "AAL2_ROUTE" },
    { 1005, "AAL2_SELF_ENDPOINT" },
    { 1006, "AAL5_PS_DATA_LINK" },
    { 1007, "AC" },
    { 1008, "AC_CONNECTION" },
    { 1009, "AC_MGMT_INTERFACE" },
    { 1010, "AC_MGMT_SOIP_CLIENT" },
    { 1012, "AC_SERVICE_UNIT" },
    { 1013, "AMC_CARD" },
    { 1013, "AMC_CARD" },
    { 1014, "AP" },
    { 1015, "AP_CONNECTION" },
    { 1016, "AP_CONTROLLER" },
    { 1021, "ATCA_CARD" },
    { 1021, "ATCA_CARD" },
    { 2193, "ATCA_SLOT" },
    { 1064, "ATM_INTERFACE" },
    { 1022, "ATM_VC" },
    { 1023, "ATM_VP" },
    { 1024, "CPU" },
    { 1028, "DISK" },
    { 1029, "ETHERNET_INTERFACE" },
    { 1030, "ETHERNET_PORT" },
    { 1031, "FAN" },
    { 1033, "IAP_INTERFACE" },
    { 1034, "IAP_SOIP_SERVER" },
    { 1035, "IAP_SRTP_SERVER" },
    { 1036, "IP_INTERFACE" },
    { 1037, "IU" },
    { 1037, "IU" },
    { 1038, "IU_CS" },
    { 1039, "IU_PS" },
    { 1768, "IU_PS_ARP_TABLE_ENTRY" },
    { 1769, "IU_PS_ROUTING_TABLE_ENTRY" },
    { 1040, "LOCAL_MGMT_CONNECTION" },
    { 1041, "LOCAL_MGMT_INTERFACE" },
    { 1042, "LOCAL_MGMT_SOIP_SERVER" },
    { 1735, "MANAGEMENT_PLATFORM" },
    { 1736, "MANAGEMENT_PLATFORM_CONNECTION" },
    { 1050, "MTP3B_DPC" },
    { 1051, "MTP3B_LINK" },
    { 1052, "MTP3B_LINKSET" },
    { 1053, "MTP3B_ROUTE" },
    { 1055, "OMCR" },
    { 1011, "RNS" },
    { 1730, "ROOT" },
    { 1063, "SHELF" },
    { 1063, "SHELF" },
    { 1065, "SYNCHRONOUS_NETWORK_PORT" },
    { 1066, "TEMPLATES" },

	{ 0, NULL }
};

static const value_string obj_class_vals[] = {
    { 1068, "aal2AdjacentNode_000" },
    { 1069, "aal2AdjacentNode_001" },
    { 1070, "aal2Path_000" },
    { 1071, "aal2Path_001" },
    { 1072, "aal2RemoteEndpoint_000" },
    { 1073, "aal2RemoteEndpoint_001" },
    { 1074, "aal2Route_000" },
    { 1075, "aal2Route_001" },
    { 1076, "aal2SelfEndpoint_000" },
    { 1077, "aal2SelfEndpoint_001" },
    { 1078, "aal5PsDataLink_000" },
    { 1079, "aal5PsDataLink_001" },
    { 1080, "acConnection_000" },
    { 1081, "acConnection_001" },
    { 1082, "acMgmtInterface_000" },
    { 1083, "acMgmtInterface_001" },
    { 1084, "acMgmtSoipClient_000" },
    { 1085, "acMgmtSoipClient_001" },
    { 1088, "acServiceUnit_000" },
    { 1089, "acServiceUnit_001" },
    { 1090, "ac_000" },
    { 1091, "ac_001" },
    { 1092, "amcCard_000" },
    { 1093, "amcCard_001" },
    { 1094, "amcCarrierCard_001" },
    { 1095, "apConnection_000" },
    { 1096, "apConnection_001" },
    { 1097, "apController_000" },
    { 1098, "apController_001" },
    { 1107, "ap_000" },
    { 1108, "ap_001" },
    { 1109, "atcaCard_000" },
    { 1110, "atcaCard_001" },
    { 2194, "atcaSlot_000" },
    { 2195, "atcaSlot_001" },
    { 1111, "atmCard_001" },
    { 1204, "atmInterface_000" },
    { 1205, "atmInterface_001" },
    { 1112, "atmVc_000" },
    { 1113, "atmVc_001" },
    { 1114, "atmVp_000" },
    { 1115, "atmVp_001" },
    { 1116, "cpu_000" },
    { 1117, "cpu_001" },
    { 1124, "disk_000" },
    { 1125, "disk_001" },
    { 1126, "equipment_000" },
    { 1127, "ethernetInterface_000" },
    { 1128, "ethernetInterface_001" },
    { 1129, "ethernetPort_000" },
    { 1130, "ethernetPort_001" },
    { 1131, "fan_000" },
    { 1132, "fan_001" },
    { 1133, "fixedEquipment_000" },
    { 1134, "fullShelf_001" },
    { 2118, "iapCard_001" },
    { 1137, "iapInterface_000" },
    { 1138, "iapInterface_001" },
    { 1139, "iapSoipServer_000" },
    { 1140, "iapSoipServer_001" },
    { 1141, "iapSrtpServer_000" },
    { 1142, "iapSrtpServer_001" },
    { 1143, "ipInterface_000" },
    { 1144, "ipInterface_001" },
    { 1145, "iuAnsi_001" },
    { 1146, "iuCs_000" },
    { 1147, "iuCs_001" },
    { 1148, "iuInterface_000" },
    { 1149, "iuInterface_001" },
    { 1150, "iuItu_001" },
    { 1770, "iuPsArpTableEntry_000" },
    { 1771, "iuPsArpTableEntry_001" },
    { 1772, "iuPsRoutingTableEntry_000" },
    { 1773, "iuPsRoutingTableEntry_001" },
    { 1151, "iuPs_000" },
    { 1152, "iuPs_001" },
    { 1153, "localMgmtConnection_000" },
    { 1154, "localMgmtConnection_001" },
    { 1155, "localMgmtInterface_000" },
    { 1156, "localMgmtInterface_001" },
    { 1157, "localMgmtSoipServer_000" },
    { 1158, "localMgmtSoipServer_001" },
    { 1159, "managedFunction_000" },
    { 1751, "managementPlatformConnection_000" },
    { 1752, "managementPlatformConnection_001" },
    { 1753, "managementPlatform_000" },
    { 1754, "managementPlatform_001" },
    { 1175, "movableEquipment_000" },
    { 1176, "mtp3bDpc_000" },
    { 1177, "mtp3bDpc_001" },
    { 1178, "mtp3bLinkSet_000" },
    { 1179, "mtp3bLinkSet_001" },
    { 1180, "mtp3bLink_000" },
    { 1181, "mtp3bLink_001" },
    { 1182, "mtp3bRoute_000" },
    { 1183, "mtp3bRoute_001" },
    { 1184, "omcr_000" },
    { 1185, "omcr_001" },
    { 1086, "rns_000" },
    { 1087, "rns_001" },
    { 1728, "root_000" },
    { 1729, "root_001" },
    { 1200, "scmCard_001" },
    { 1201, "shelf_000" },
    { 1202, "shelf_001" },
    { 1203, "smallShelf_001" },
    { 1206, "synchronousNetworkPort_000" },
    { 1207, "synchronousNetworkPort_001" },
    { 1208, "templates_000" },
    { 1209, "templates_001" },
    { 1210, "top_000" },

	{ 0, NULL }
};

static const value_string attr_id_vals[] = {
    { 1241, "aal2MaxSssarSduSize" },
    { 1242, "aal2Owner" },
    { 1246, "aal2PathIdentifier" },
    { 1247, "aal2ReassemblyTimer" },
    { 1248, "aal2RemoteEndpointAddress" },
    { 1249, "aal2SelfEndpointAddress" },
    { 1250, "aal2TimerCU" },
    { 1254, "acAddress" },
    { 1255, "acHardwareConfiguration" },
    { 2143, "acMeasurementConfiguration" },
    { 1257, "accessClassBarredList" },
    { 1258, "accessControlAttempts" },
    { 1259, "accessControlFailures" },
    { 1947, "accessControlList" },
    { 1948, "accessControlMethod" },
    { 1949, "accessControlNAuth" },
    { 1950, "accessControlNIdent" },
    { 1951, "accessControlNRej" },
    { 2105, "accessControlSim" },
    { 1260, "accessControlSuccess" },
    { 1952, "accessControlTAuth" },
    { 1953, "accessControlTIdent" },
    { 1977, "ackNackRepetitionFactor" },
    { 1933, "activeAlarmsList" },
    { 2079, "activeSwVersion" },
    { 1261, "adjacentPointCode" },
    { 1262, "administrativeState" },
    { 1978, "admissionControlPerRab" },
    { 1264, "aichPowerOffset" },
    { 1935, "alarmFilter" },
    { 1936, "alarmFilterEnabled" },
    { 1726, "alarmsEmitted" },
    { 1266, "alarmsRaised" },
    { 1267, "alcapTimerBlo" },
    { 1268, "alcapTimerErq" },
    { 1269, "alcapTimerRel" },
    { 1270, "alcapTimerUbl" },
    { 1273, "allowedCoServiceIdentifier" },
    { 1275, "allowedServices" },
    { 2003, "apActiveAlarmsList" },
    { 1993, "apAlarmEventLog" },
    { 2004, "apAlarmsRaised" },
    { 2151, "apConnectRequestPort" },
    { 1276, "apIdentity" },
    { 2144, "apMeasurementConfiguration" },
    { 1958, "apNtpServerInfo" },
    { 1277, "apSerialNumber" },
    { 1937, "apsRole" },
    { 1938, "arpEntryType" },
    { 1901, "ascPersistenceScalingFactors" },
    { 1496, "ascSubchannels" },
    { 1278, "associatedAal2AdjacentNode" },
    { 1279, "associatedAal2SelfEndpoint" },
    { 1939, "associatedAal5PsDataLink" },
    { 1280, "associatedAtmVc" },
    { 1281, "associatedIpInterface" },
    { 1282, "associatedLinkSet" },
    { 1283, "associatedLocalMgmtSoipServer" },
    { 1284, "associatedMtp3Dpc" },
    { 1940, "associatedServiceUnits" },
    { 1286, "atmCellsDiscarded" },
    { 1287, "atmCellsReceived" },
    { 1828, "atmCellsTransmitted" },
    { 1291, "availabilityStatus" },
    { 1295, "bchPowerOffset" },
    { 2080, "bootVersion" },
    { 1296, "burstSize" },
    { 1797, "callByRabType" },
    { 1298, "cbsFrameOffset" },
    { 1956, "cbsSchedulePeriod" },
    { 1299, "cellBarredByAc" },
    { 1889, "cellBarredByUser" },
    { 1957, "cellBroadcastMessage" },
    { 1302, "cellQualityMeasure" },
    { 1300, "cellReservationExtension" },
    { 1301, "cellReservedForOperatorUse" },
    { 2053, "cellResults" },
    { 2039, "cellSizePathLoss" },
    { 2200, "certificateUpdateTrustAnchors" },
    { 2201, "certificates" },
    { 1303, "childObjectClasses" },
    { 2124, "clearedRetentionPeriod" },
    { 2196, "clockSource" },
    { 1306, "cnInaccessibleTimer" },
    { 1307, "cnResetBehaviour" },
    { 1959, "coNtpServerInfo" },
    { 1308, "coServiceIdentifier" },
    { 1696, "connectedModePagesDiscarded" },
    { 1697, "connectedModePagesReceived" },
    { 1698, "connectedModePagesSentOnDch" },
    { 1699, "connectedModePagesSentOnPch" },
    { 2081, "connectionRequestPassword" },
    { 2082, "connectionRequestUrl" },
    { 2149, "connectionRequestUrlPrefix" },
    { 2083, "connectionRequestUsername" },
    { 1311, "constantValue" },
    { 2041, "cpichEcNoAtCellEdge" },
    { 2040, "cpichLevelBelowCarrier" },
    { 2018, "cpichTxPower" },
    { 1979, "cqiFeedbackCycle" },
    { 1980, "cqiRepetitionFactor" },
    { 2202, "crlFallbackCount" },
    { 2203, "crlServerBaseUrl" },
    { 2204, "crlWaitTime" },
    { 2205, "crls" },
    { 2154, "crystalCurrentDacValue" },
    { 2155, "crystalDisciplineMethod" },
    { 2156, "crystalDisciplineMethodSince" },
    { 2157, "crystalMaxDacValueSincePowerOn" },
    { 2158, "crystalMinDacValueSincePowerOn" },
    { 1312, "csDrxCycleLengthCoefficient" },
    { 1313, "csInterRatHandinAttempts" },
    { 1314, "csInterRatHandinFailure" },
    { 1315, "csInterRatHandinSuccess" },
    { 1316, "csInterRatHandoutAttempts" },
    { 1317, "csInterRatHandoutFailures" },
    { 1318, "csInterRatHandoutPreparationAttempts" },
    { 1319, "csInterRatHandoutPreparationFailure" },
    { 1320, "csInterRatHandoutPreparationSuccess" },
    { 1321, "csInterRatHandoutSuccess" },
    { 1325, "csRabEstablishmentMaxTime" },
    { 1326, "csRabEstablishmentMeanTime" },
    { 1328, "csRtcpTransmissionInterval" },
    { 1330, "csdJitterBufferSize" },
    { 1331, "currentLinks" },
    { 2072, "currentLocalTime" },
    { 2084, "currentPcbTemperature" },
    { 2073, "currentUtcOffset" },
    { 2085, "dataIdentifier" },
    { 2086, "dataItems" },
    { 2119, "dataValidity" },
    { 2206, "defaultCrlServerBaseUrl" },
    { 1538, "defaultManagementServerUrl" },
    { 2120, "defaultRouter" },
    { 1981, "deltaAck" },
    { 1982, "deltaCqi" },
    { 1983, "deltaNack" },
    { 1332, "destinationPointCode" },
    { 1333, "dhcpDefaultRouter" },
    { 1334, "dhcpDnsServers" },
    { 1335, "dhcpIpAddress" },
    { 1336, "dhcpLeaseTime" },
    { 1337, "dhcpNetmask" },
    { 2031, "dlInterferenceMarginWeight" },
    { 1338, "dlPowerAveragingWindowSize" },
    { 1984, "dlPowerControlPerRab" },
    { 2150, "dnPrefix" },
    { 1798, "downlinkBandwidthByRabType" },
    { 1799, "downlinkPacketsByRabType" },
    { 1800, "downlinkPacketsRx" },
    { 1801, "downlinkPacketsTx" },
    { 1802, "downlinkSignallingBandwidth" },
    { 1803, "downlinkSignallingPackets" },
    { 1804, "downlinkUserPlaneBandwidth" },
    { 1900, "dummyCellId" },
    { 2211, "equipmentIdentity" },
    { 2021, "estimatedFreqOffset" },
    { 1342, "fachPowerOffset" },
    { 1943, "globalCnId" },
    { 2006, "gsmBandsSupported" },
    { 2027, "gsmCandidateCellThreshold" },
    { 2165, "gsmMeasurementFilterCoefficient" },
    { 2166, "gsmMeasurementHysteresis3a" },
    { 2167, "gsmMeasurementQuantity" },
    { 1903, "gsmNeighbourCellHcsPenaltyTime" },
    { 1904, "gsmNeighbourCellHcsPriority" },
    { 1905, "gsmNeighbourCellHcsTemporaryOffset1" },
    { 1906, "gsmNeighbourCellHcsTemporaryOffset2" },
    { 1907, "gsmNeighbourCellMaximumAllowedUplinkPower" },
    { 1908, "gsmNeighbourCellQHcs" },
    { 1909, "gsmNeighbourCellQOffset1s" },
    { 1910, "gsmNeighbourCellQRxlevMin" },
    { 1929, "gsmNeighbourCells" },
    { 2028, "gsmReportThreshold" },
    { 2168, "gsmTimeToTrigger3a" },
    { 1941, "haState" },
    { 1358, "handinAttempts" },
    { 1359, "handinCoordinationAttempts" },
    { 1360, "handinCoordinationFailures" },
    { 1361, "handinCoordinationSuccess" },
    { 1362, "handinFailure" },
    { 1363, "handinSuccess" },
    { 1364, "handoutAttempts" },
    { 2185, "handoutControlPerScenario" },
    { 1365, "handoutFailures" },
    { 1366, "handoutPreparationAttempts" },
    { 1367, "handoutPreparationFailure" },
    { 1368, "handoutPreparationSuccess" },
    { 1369, "handoutSuccess" },
    { 1985, "harqStrategy" },
    { 1370, "hcsPriority" },
    { 2125, "historicalAlarmRetentionPeriod" },
    { 1986, "hsSchedulingGbrBoost" },
    { 1987, "hsSchedulingPfaA" },
    { 1988, "hsSchedulingPsmA" },
    { 1862, "hsdpaPowerPercent" },
    { 2088, "hwVersion" },
    { 1700, "idleModePagesDiscarded" },
    { 1701, "idleModePagesReceived" },
    { 1702, "idleModePagesSentOnPch" },
    { 2207, "imageUpdateTrustAnchors" },
    { 1893, "imsiAttachAllowed" },
    { 2074, "inServiceTime" },
    { 2192, "incomingPingEnabled" },
    { 2169, "interFrequencyMeasurementFilterCoefficient" },
    { 2170, "interFrequencyMeasurementHysteresis2b" },
    { 2171, "interFrequencyMeasurementHysteresis2d" },
    { 2172, "interFrequencyMeasurementHysteresis2f" },
    { 2173, "interFrequencyMeasurementQuantity" },
    { 1911, "interFrequencyNeighbourCellHcsPenaltyTime" },
    { 1912, "interFrequencyNeighbourCellHcsTemporaryOffset1" },
    { 1913, "interFrequencyNeighbourCellHcsTemporaryOffset2" },
    { 1914, "interFrequencyNeighbourCellMaximumAllowedUplinkPower" },
    { 1915, "interFrequencyNeighbourCellQOffset1s" },
    { 1916, "interFrequencyNeighbourCellQOffset2s" },
    { 1930, "interFrequencyNeighbourCells" },
    { 1377, "interFrequencyScalingFactorForTReselection" },
    { 2174, "interFrequencyTimeToTrigger2b" },
    { 2175, "interFrequencyTimeToTrigger2d" },
    { 2176, "interFrequencyTimeToTrigger2f" },
    { 1378, "interRatScalingFactorForTReselection" },
    { 1380, "intraFrequencyCellReselectionIndicator" },
    { 2177, "intraFrequencyMeasurementFilterCoefficient" },
    { 2178, "intraFrequencyMeasurementHysteresis1c" },
    { 2179, "intraFrequencyMeasurementHysteresis1f" },
    { 1919, "intraFrequencyNeighbourCellHcsPenaltyTime" },
    { 1920, "intraFrequencyNeighbourCellHcsTemporaryOffset1" },
    { 1921, "intraFrequencyNeighbourCellHcsTemporaryOffset2" },
    { 1922, "intraFrequencyNeighbourCellMaximumAllowedUplinkPower" },
    { 1923, "intraFrequencyNeighbourCellQOffset1s" },
    { 1924, "intraFrequencyNeighbourCellQOffset2s" },
    { 1931, "intraFrequencyNeighbourCells" },
    { 2180, "intraFrequencyTimeToTrigger1c" },
    { 2181, "intraFrequencyTimeToTrigger1f" },
    { 1383, "iuResetResourceRetries" },
    { 1384, "iuResetRetries" },
    { 2145, "jobId" },
    { 1385, "lac" },
    { 2048, "lacRacCandidateList" },
    { 2182, "lastConnectedTime" },
    { 2110, "lcsLatitude" },
    { 2111, "lcsLongitude" },
    { 2112, "lcsUncertainty" },
    { 1386, "linkPriority" },
    { 1387, "localIpAddress" },
    { 1388, "localTcpPort" },
    { 2075, "localTimeZone" },
    { 1389, "location" },
    { 2056, "locationChangeActionControl" },
    { 2023, "locationCheckControl" },
    { 2011, "locationCheckResult" },
    { 2052, "locationCheckResultSummary" },
    { 1390, "mMax" },
    { 1391, "macAddress" },
    { 2032, "macroCellTxThreshold" },
    { 2159, "macroCoverage" },
    { 2089, "majorOverTemperatureThreshold" },
    { 2116, "managementServerUrl" },
    { 2208, "managementTrustAnchors" },
    { 2090, "manufacturer" },
    { 2091, "manufacturerOui" },
    { 1805, "maxCalls" },
    { 2042, "maxCellDiscrepancy" },
    { 2160, "maxDacValue" },
    { 2033, "maxDlInterference" },
    { 2034, "maxFreqOffsetPpb" },
    { 2137, "maxInactiveChannelScans" },
    { 2186, "maxNwlFullScanAge" },
    { 2187, "maxNwlUpdateScanAge" },
    { 2043, "maxPathLossDiscrepancy" },
    { 2161, "maxPcbTemperature" },
    { 1393, "maxSduSize" },
    { 1394, "maxSoipLinks" },
    { 1395, "maxSrtpLinks" },
    { 2126, "maxStaleAge" },
    { 2127, "maxStatelessAge" },
    { 1989, "maxUeContexts" },
    { 2035, "maxUlInterference" },
    { 1396, "maximumAllowedUlTxPower" },
    { 1863, "maximumPowerCapability" },
    { 1397, "maximumTransmitPower" },
    { 1398, "mcc" },
    { 1806, "meanCalls" },
    { 1807, "mgmtAlarmsReceived" },
    { 1808, "mgmtCommandsReceived" },
    { 1809, "mgmtNotificationsReceived" },
    { 1810, "mgmtProcedureDuration" },
    { 1811, "mgmtProceduresAttempted" },
    { 1812, "mgmtProceduresFailed" },
    { 2128, "mibVersion" },
    { 2162, "minDacValue" },
    { 2163, "minPcbTemperature" },
    { 2036, "minSyncQual" },
    { 2092, "minimumOperatingTemperatureThreshold" },
    { 2044, "minimumPowerCapability" },
    { 2045, "minimumTransmitPower" },
    { 2093, "minorOverTemperatureThreshold" },
    { 1399, "mnc" },
    { 2117, "modelName" },
    { 1400, "mtp3CongestionOption" },
    { 1401, "mtp3NetworkIndicator" },
    { 1402, "mtp3RestartOption" },
    { 1403, "mtp3bAnsiT15" },
    { 1404, "mtp3bAnsiT18" },
    { 1405, "mtp3bAnsiT19" },
    { 1406, "mtp3bAnsiT20" },
    { 1407, "mtp3bAnsiT21" },
    { 1408, "mtp3bAnsiT22" },
    { 1409, "mtp3bAnsiT23" },
    { 1410, "mtp3bAnsiT24" },
    { 1411, "mtp3bAnsiT25" },
    { 1412, "mtp3bAnsiT26" },
    { 1413, "mtp3bAnsiT27" },
    { 1414, "mtp3bAnsiT28" },
    { 1415, "mtp3bAnsiT29" },
    { 1416, "mtp3bAnsiT30" },
    { 1417, "mtp3bAnsiT31" },
    { 1418, "mtp3bAnsiT32" },
    { 1419, "mtp3bAnsiT33" },
    { 1420, "mtp3bAnsiT34" },
    { 1421, "mtp3bItuT15" },
    { 1422, "mtp3bItuT18" },
    { 1423, "mtp3bItuT19" },
    { 1424, "mtp3bItuT20" },
    { 1425, "mtp3bItuT21" },
    { 1426, "mtp3bItuT22" },
    { 1427, "mtp3bItuT23" },
    { 1428, "mtp3bItuT24" },
    { 1429, "mtp3bT01" },
    { 1430, "mtp3bT02" },
    { 1431, "mtp3bT03" },
    { 1432, "mtp3bT04" },
    { 1433, "mtp3bT05" },
    { 1434, "mtp3bT06" },
    { 1435, "mtp3bT08" },
    { 1436, "mtp3bT10" },
    { 1437, "mtp3bT11" },
    { 1438, "mtp3bT12" },
    { 1439, "mtp3bT13" },
    { 1440, "mtp3bT14" },
    { 1441, "mtp3bT16" },
    { 1442, "mtp3bT17" },
    { 2121, "mtu" },
    { 1444, "n300" },
    { 1446, "n302" },
    { 1447, "n304" },
    { 1890, "n308" },
    { 1449, "n312Connected" },
    { 1450, "n312Idle" },
    { 1451, "n313" },
    { 1452, "n315" },
    { 1453, "nCr" },
    { 1454, "nInSyncInd" },
    { 1455, "nOutSyncInd" },
    { 1456, "nb01Max" },
    { 1457, "nb01Min" },
    { 2064, "neighbourListPopulation" },
    { 2022, "neighbourPlmns" },
    { 1459, "netmask" },
    { 2189, "network" },
    { 1894, "networkModeOfOperation" },
    { 2037, "newFreqScThreshold" },
    { 2190, "nextHop" },
    { 2024, "nextRfScanTime" },
    { 1813, "notificationsEmitted" },
    { 1814, "notificationsRaised" },
    { 1960, "ntpAveragingWindow" },
    { 1961, "ntpConvergenceTimer" },
    { 1471, "ntpCurrentServerState" },
    { 1964, "ntpFrequencyDisciplineEnabled" },
    { 1965, "ntpFrequencyStabilityThreshold" },
    { 1968, "ntpFrequencyStepMaxPermitted" },
    { 1975, "ntpFrequencyStepSize" },
    { 1962, "ntpFrequencyStepSummingPeriod" },
    { 1963, "ntpFrequencyStepSummingThreshold" },
    { 1966, "ntpLongTermFrequencyStabilityThreshold" },
    { 1463, "ntpMaxDelay" },
    { 1967, "ntpMaxFrequencyCorrectionError" },
    { 1464, "ntpMaxJitter" },
    { 2188, "ntpMeanClockJitter" },
    { 1467, "ntpMeanDelay" },
    { 1468, "ntpMeanJitter" },
    { 1969, "ntpMonitoringTimer" },
    { 1970, "ntpServerAccessibilityTimeout" },
    { 1976, "ntpServerReselections" },
    { 1971, "ntpServerSuitabilityTimer" },
    { 1972, "ntpStratumLocalSystemClock" },
    { 1973, "ntpTinkerAllan" },
    { 1974, "ntpTinkerDispersion" },
    { 2094, "numActiveByRabType" },
    { 2095, "numActiveUes" },
    { 1998, "numApChildren" },
    { 1999, "numApConnected" },
    { 2000, "numApOperational" },
    { 1504, "numProvingEmergency" },
    { 2014, "nwlTestStatus" },
    { 1472, "objectClass" },
    { 1473, "objectInstanceId" },
    { 1474, "objectName" },
    { 1475, "operationalState" },
    { 2001, "operatorData" },
    { 1477, "originatingPointCode" },
    { 1478, "outgoingPingEnabled" },
    { 2096, "parameterKey" },
    { 1482, "pchPowerOffset" },
    { 1486, "peakRate" },
    { 1487, "periodOfCtchAllocation" },
    { 2107, "periodicInformEnable" },
    { 2108, "periodicInformInterval" },
    { 2109, "periodicInformTime" },
    { 2049, "permittedPlmns" },
    { 1491, "pichPowerOffset" },
    { 2047, "plmnsToSyncWith" },
    { 1493, "pmtuDiscoveryEnabled" },
    { 1494, "powerRaiseLimit" },
    { 1495, "powerRampStep" },
    { 1498, "preambleRetransMax" },
    { 1500, "preambleThreshold" },
    { 1501, "primaryCpichPowerPercent" },
    { 1774, "primaryPort" },
    { 1502, "primarySchPowerOffset" },
    { 2097, "productClass" },
    { 1505, "psDrxCycleLengthCoefficient" },
    { 2152, "psInactivityTimeout" },
    { 1506, "psInterRatHandoutAttempts" },
    { 1507, "psInterRatHandoutFailures" },
    { 1508, "psInterRatHandoutSuccess" },
    { 1512, "psRabEstablishmentMaxTime" },
    { 1513, "psRabEstablishmentMeanTime" },
    { 1515, "psRtcpTransmissionInterval" },
    { 2070, "publicIpAddress" },
    { 1518, "qHcsCpichEcNo" },
    { 1902, "qHcsCpichRscp" },
    { 1519, "qHyst1S" },
    { 1520, "qHyst2S" },
    { 1521, "qQualMin" },
    { 1522, "qRxlevMin" },
    { 1523, "qosClass" },
    { 1323, "rabEstablishmentAttempts" },
    { 1324, "rabEstablishmentFailures" },
    { 1327, "rabEstablishmentSuccess" },
    { 1776, "rabFailures" },
    { 1524, "rac" },
    { 2146, "rachReportingMaxCells" },
    { 2147, "rachReportingQuantity" },
    { 1530, "radioLinkDeletionAttempts" },
    { 1531, "radioLinkDeletionFailures" },
    { 1532, "radioLinkDeletionSuccess" },
    { 1533, "radioLinkSetupAttempts" },
    { 1534, "radioLinkSetupFailure" },
    { 1535, "radioLinkSetupSuccess" },
    { 1536, "ranapConnectedPagesReceived" },
    { 1537, "ranapIdlePagesReceived" },
    { 1479, "ranapPagesDiscarded" },
    { 1539, "remoteIpAddress" },
    { 1540, "remoteTcpPort" },
    { 2067, "reportingInterval" },
    { 2148, "reportingTime" },
    { 2066, "reportingUrl" },
    { 1778, "rfCpichEcOverNo" },
    { 1779, "rfCpichRscp" },
    { 1780, "rfDownlinkBlerError" },
    { 1781, "rfDownlinkCarrierPower" },
    { 1787, "rfDownlinkCarrierPowerNotHsdpa" },
    { 1782, "rfDownlinkCodePower" },
    { 1783, "rfMeanRssi" },
    { 1784, "rfMeanWidebandPower" },
    { 1891, "rfParamsCandidateList" },
    { 2026, "rfScanControl" },
    { 1785, "rfUplinkBlerError" },
    { 1541, "rlcBlocksDiscarded" },
    { 1542, "rlcBlocksReceivedAm" },
    { 1543, "rlcBlocksReceivedTm" },
    { 1544, "rlcBlocksReceivedUm" },
    { 1545, "rlcBlocksRetransmittedAm" },
    { 1546, "rlcBlocksTransmittedAm" },
    { 1547, "rlcBlocksTransmittedTm" },
    { 1548, "rlcBlocksTransmittedUm" },
    { 1549, "rncIdentity" },
    { 1550, "routePriority" },
    { 2191, "routingMetric" },
    { 1551, "rrcConnectionEstablishmentAttempts" },
    { 1552, "rrcConnectionEstablishmentFailure" },
    { 1553, "rrcConnectionEstablishmentMaxTime" },
    { 1554, "rrcConnectionEstablishmentMeanTime" },
    { 1555, "rrcConnectionEstablishmentSuccess" },
    { 1786, "rrcConnectionFailures" },
    { 1556, "rrcConnectionReestablishmentAttempts" },
    { 1557, "rrcConnectionReestablishmentFailures" },
    { 1558, "rrcConnectionReestablishmentSuccess" },
    { 1559, "rrcConnectionReleaseOnCcch" },
    { 1560, "rrcConnectionReleaseOnDcch" },
    { 2054, "rssiResults" },
    { 2046, "rssiScanBands" },
    { 1561, "rtpConnectionTime" },
    { 1562, "rtpDownlinkOctets" },
    { 1563, "rtpDownlinkPacketGaps" },
    { 1564, "rtpDownlinkPackets" },
    { 1565, "rtpDownlinkPacketsLost" },
    { 1566, "rtpMaxDownlinkJitter" },
    { 1567, "rtpMaxTransmitDelay" },
    { 1568, "rtpMaxUplinkJitter" },
    { 1569, "rtpMeanDownlinkJitter" },
    { 1570, "rtpMeanTransmitDelay" },
    { 1571, "rtpMeanUplinkJitter" },
    { 1572, "rtpUplinkOctets" },
    { 1573, "rtpUplinkPacketGaps" },
    { 1574, "rtpUplinkPackets" },
    { 1575, "rtpUplinkPacketsLost" },
    { 1576, "rxWindowSize" },
    { 1577, "sHcsGsm" },
    { 1578, "sInterSearch" },
    { 1579, "sIntraSearch" },
    { 1580, "sLimitSearchGsm" },
    { 1581, "sSearchGsm" },
    { 1582, "sSearchHcs" },
    { 1583, "sac" },
    { 2098, "saiLac" },
    { 2138, "savedNwlResults" },
    { 1584, "sccpAnsiConnectionEstablishmentTimer" },
    { 1585, "sccpAnsiFrTimer" },
    { 1586, "sccpAnsiStatInfoTimer" },
    { 1587, "sccpCoordChgTimer" },
    { 1588, "sccpGuardTimer" },
    { 1589, "sccpIgnoreSstTimer" },
    { 1590, "sccpInactivityReceiveTimer" },
    { 1591, "sccpInactivitySendTimer" },
    { 1592, "sccpIntervalTimer" },
    { 1593, "sccpItuConnectionEstablishmentTimer" },
    { 1594, "sccpItuStatInfoTimerEnd" },
    { 1595, "sccpItuStatInfoTimerStart" },
    { 1596, "sccpReassemblyTimer" },
    { 1597, "sccpReleaseTimer" },
    { 1598, "sccpRepeatRelTimer" },
    { 1599, "sccpResetTimer" },
    { 1603, "sccpchTfciBitsPowerOffset" },
    { 1503, "scramblingCode" },
    { 1775, "secondaryPort" },
    { 1606, "secondarySchPowerOffset" },
    { 2209, "serviceTrustAnchors" },
    { 2099, "shutdownThreshold" },
    { 1608, "sibSchedule" },
    { 1329, "signallingConnectionEstablishmentAttempts" },
    { 1815, "signallingConnectionEstablishmentFailures" },
    { 1816, "signallingConnectionFailures" },
    { 1609, "signallingLinkCode" },
    { 1610, "signallingLinkSelector" },
    { 1611, "signallingLinkType" },
    { 2100, "signature" },
    { 2101, "signatureAlgorithm" },
    { 2102, "signatureKeyName" },
    { 2103, "signatureTimestamp" },
    { 2122, "signatureValidity" },
    { 2140, "snmpAgentEnabled" },
    { 2129, "snmpAgentPort" },
    { 2130, "snmpAlarmWatchList" },
    { 2131, "snmpCommunityName" },
    { 2132, "snmpManagerAddress" },
    { 2133, "snmpManagerPort" },
    { 2141, "snmpPollingInterval" },
    { 2134, "snmpTrapVersion" },
    { 1819, "soipAcConnectionFailures" },
    { 1612, "soipApConnectionFailures" },
    { 1817, "soipConnectionEstablishmentAttempts" },
    { 1818, "soipConnectionEstablishmentFailures" },
    { 1613, "soipConnectionOpenAttempts" },
    { 1614, "soipConnectionOpenFailures" },
    { 1820, "soipConnectionTime" },
    { 1615, "soipHeartbeatEnabled" },
    { 1616, "soipStreamFailures" },
    { 1617, "soipStreamOpenAttempts" },
    { 1618, "soipStreamOpenFailures" },
    { 1619, "soipTChannelReconnect" },
    { 1620, "soipTHeartbeatFast" },
    { 1621, "soipTHeartbeatFastGuard" },
    { 1622, "soipTHeartbeatIdle" },
    { 1623, "soipTHeartbeatSlow" },
    { 1624, "soipTIdentity" },
    { 1625, "soipTIdentityAck" },
    { 1626, "soipTStreamReconnect" },
    { 1627, "speechJitterBufferSize" },
    { 1628, "speedDependentScalingFactorForTReselection" },
    { 1630, "srtcpUdpPort" },
    { 1631, "srtpUdpPort" },
    { 1632, "sscfN1" },
    { 1633, "sscfT1" },
    { 1634, "sscfT2" },
    { 1635, "sscfT3" },
    { 1636, "sscopMaxCc" },
    { 1637, "sscopMaxPd" },
    { 1638, "sscopMaxStat" },
    { 1639, "sscopTimerCc" },
    { 1640, "sscopTimerIdle" },
    { 1641, "sscopTimerKeepAlive" },
    { 1642, "sscopTimerNoResponse" },
    { 1643, "sscopTimerPoll" },
    { 2104, "standbySwVersion" },
    { 2050, "staticGsmNeighbourList" },
    { 2051, "staticUmtsNeighbourList" },
    { 1644, "sustainedRate" },
    { 2135, "swVersion" },
    { 1942, "synchronousMode" },
    { 1990, "t1" },
    { 1645, "t300" },
    { 1647, "t302" },
    { 1648, "t304" },
    { 1649, "t305" },
    { 1650, "t307" },
    { 1651, "t308" },
    { 1652, "t309" },
    { 1655, "t312Connected" },
    { 1656, "t312Idle" },
    { 1657, "t313" },
    { 1658, "t314" },
    { 1659, "t315" },
    { 1660, "t316" },
    { 1892, "t3212" },
    { 1662, "tBarred" },
    { 1663, "tCrMax" },
    { 1664, "tCrMaxHyst" },
    { 1944, "tDataFwd" },
    { 1666, "tIuRelease" },
    { 1668, "tIuResetResource" },
    { 2183, "tMeasDelayGsm" },
    { 2184, "tMeasDelayInterFreq" },
    { 1669, "tRafc" },
    { 1670, "tRatc" },
    { 1671, "tRelocCancelProtect" },
    { 1945, "tRelocExecutionGuard" },
    { 1672, "tRelocOverall" },
    { 1673, "tRelocPrep" },
    { 1674, "tRelocRequestProtect" },
    { 1946, "tRelocSecondDomain" },
    { 1675, "tReselectionS" },
    { 1676, "tRlFailure" },
    { 1677, "tUrslGuardTimer" },
    { 1678, "tUrslRabEstablish" },
    { 1679, "tUrslRabRelease" },
    { 2210, "testTrustAnchors" },
    { 1682, "tos" },
    { 2164, "transmitOldBssToNewBssInfoIE" },
    { 1683, "txQueueSize" },
    { 1684, "uarfcnDownlink" },
    { 1685, "uarfcnUplink" },
    { 2038, "ulInterferenceMarginWeight" },
    { 1991, "ulPowerCtrlPerRab" },
    { 2007, "umtsBandsSupported" },
    { 2029, "umtsCandidateCellThreshold" },
    { 2030, "umtsReportThreshold" },
    { 2055, "umtsUlResults" },
    { 2077, "upTime" },
    { 1821, "uplinkBandwidthByRabType" },
    { 1822, "uplinkPacketsByRabType" },
    { 1823, "uplinkPacketsRx" },
    { 1824, "uplinkPacketsTx" },
    { 1992, "uplinkScramblingCodes" },
    { 1825, "uplinkSignallingBandwidth" },
    { 1826, "uplinkSignallingPackets" },
    { 1827, "uplinkUserPlaneBandwidth" },
    { 1687, "urslConnectedModePagesDiscarded" },
    { 1688, "urslConnectedModePagesGenerated" },
    { 1689, "urslIdleModePagesDiscarded" },
    { 1690, "urslIdleModePagesGenerated" },
    { 1691, "useInverseArp" },
    { 1692, "username" },
    { 1703, "utranInitiatedPagingAttempts" },
    { 1704, "utranInitiatedPagingFailures" },
    { 1705, "utranInitiatedPagingSuccess" },
    { 1693, "vci" },
    { 1694, "vlanId" },
    { 1695, "vpi" },

	{ 0, NULL }
};

#define OYSTER3G_SYSTEM_MIB_H
#endif
