/* packet-oyster3g-custom-bsmis.c
 * Custom Routines for oyster3g bsmis packet disassembly
 *
 * $Id $
 *
 * Copyright (c) 2007 by ip.access Ltd <support@ipaccess.com>
 *
 * Wireshark - Network traffic analyzer
 * By Gerald Combs <gerald@wireshark.org>
 * Copyright 1999 Gerald Combs
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/* Include files */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <stdlib.h>
#include <ctype.h>
#include <epan/packet.h>
#include <epan/prefs.h>
#include <epan/strutil.h>

/* The following include defines the structures used for the static data
 * definitions which follow
 */

#include "packet-oyster3g.h"
#include "packet-oyster3g-bsmis.h"
#include "oyster3g-system-mib.h"

static int dissect_bsmis_class_id(tvbuff_t *tvb, packet_info *pinfo, proto_tree *main_tree);

static int hf_class_id = -1;
static int hf_attribute_id = -1;

static hf_register_info custom_hf[] =
{
    {
        &hf_class_id,
        {
            "Class ID",
            "oyster3g.bsmis.class_id",
            FT_INT32,
            BASE_DEC,
            VALS(class_type_vals),
            0x0,
            "Class ID",
            HFILL
        }
    },
    {
        &hf_attribute_id,
        {
            "Attribute Id",
            "oyster3g.bsmis.attribute_id",
            FT_INT32,
            BASE_DEC,
            VALS(attr_id_vals),
            0x0,
            "Attribute Id",
            HFILL
        }
    },
};

static custom_syntax_dissector_t dissector[] =
{
	{0,NULL}
};

void oyster3g_register_custom_dissectors_bsmis(const oyster3g_domain_t *domain)
{
    oyster3g_register_custom_hf(domain, custom_hf, array_length(custom_hf));
    oyster3g_register_custom_dissectors(domain, dissector);

    return;
}

void oyster3g_register_custom_dissectors_handoff_bsmis(const oyster3g_domain_t *domain)
{
    return;
}

static int dissect_bsmis_class_id(tvbuff_t *tvb, packet_info *pinfo, proto_tree *main_tree)
{
	return 0;	/* don't consume any bytes - so carry on with normal dissection again */
}
